Bug 243326 - Gnome pilot crashes during network synch
Gnome pilot crashes during network synch
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
8
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 12:07 EDT by Joep Jansen
Modified: 2008-11-29 01:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 01:15:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug report from bug buddy (12.47 KB, text/plain)
2007-06-08 12:07 EDT, Joep Jansen
no flags Details
gpilotd backtrace from EToDo conduit crash (28.05 KB, text/plain)
2007-06-11 00:21 EDT, Wil Cooley
no flags Details

  None (edit)
Description Joep Jansen 2007-06-08 12:07:38 EDT
Description of problem:
gnome-pilot applet crashes when synchronizing with palm tx


Version-Release number of selected component (if applicable):
gnome-pilot-2.0.15-5.fc7


How reproducible:
Always


Steps to Reproduce:
1.Click on the gnome pilot applet icon
2.Activate network sync on the Palm TX
3.Bingo
  
Actual results:
Connection is started, and the synchronization progress window appears.
Then it crashes

Expected results:
Synchronization works normally



Additional info:
Comment 1 Joep Jansen 2007-06-08 12:07:38 EDT
Created attachment 156588 [details]
bug report from bug buddy
Comment 2 Joep Jansen 2007-06-08 12:45:28 EDT
The problem occurs during synchronization of the EToDo channel. If I switch off
this channel, synchronization completes normally.
I'm using Evolution 2.10.1-4
Comment 3 Wil Cooley 2007-06-11 00:19:37 EDT
I too have experienced this, using USB sync w/the visor kernel module.  I also
isolated the problem to EToDo sync; I have disabled all other conduits and
created a stack trace after installing gnome-pilot-debuginfo.  I have redacted a
single line which appeared to contain an encoded password (why there would be a
password, I do not know).  I have saved the original and can make it available
if necessary.

I would also recommend changing the summary to reflect that the problem is with
the EToDo conduit, not the network sync.
Comment 4 Wil Cooley 2007-06-11 00:21:34 EDT
Created attachment 156681 [details]
gpilotd backtrace from EToDo conduit crash
Comment 5 Joshua Rosen 2007-07-11 23:27:48 EDT
I'm not sure this is the same problem. Gnome-pilot doesn't sync my Treo 700p on
64 bit F7. The gnome-pilot-settings window comes up but nothing happens after
that. Gnome-pilot worked fine in FC6. Disabling EtoDo didn't make any difference.

Here is the log from /var/log/messages

Jul 11 23:21:23 wasp kernel: usb 2-4: USB disconnect, address 16
Jul 11 23:21:23 wasp kernel: visor ttyUSB0: Handspring Visor / Palm OS converter
now disconnected from ttyUSB0
Jul 11 23:21:23 wasp kernel: visor ttyUSB1: Handspring Visor / Palm OS converter
now disconnected from ttyUSB1
Jul 11 23:21:23 wasp kernel: visor 2-4:1.0: device disconnected
Jul 11 23:21:24 wasp kernel: usb 2-4: new full speed USB device using ohci_hcd
and address 17
Jul 11 23:21:24 wasp kernel: usb 2-4: configuration #1 chosen from 1 choice
Jul 11 23:21:24 wasp kernel: visor 2-4:1.0: Handspring Visor / Palm OS converter
detected
Jul 11 23:21:24 wasp kernel: usb 2-4: Handspring Visor / Palm OS converter now
attached to ttyUSB0
Jul 11 23:21:24 wasp kernel: usb 2-4: Handspring Visor / Palm OS converter now
attached to ttyUSB1
Jul 11 23:23:37 wasp kernel: usb 2-4: USB disconnect, address 17
Jul 11 23:23:38 wasp kernel: visor ttyUSB0: Handspring Visor / Palm OS converter
now disconnected from ttyUSB0
Jul 11 23:23:39 wasp kernel: visor ttyUSB1: Handspring Visor / Palm OS converter
now disconnected from ttyUSB1
Jul 11 23:23:40 wasp kernel: visor 2-4:1.0: device disconnected
Jul 11 23:23:41 wasp kernel: usb 2-4: new full speed USB device using ohci_hcd
and address 18
Jul 11 23:23:42 wasp kernel: usb 2-4: configuration #1 chosen from 1 choice
Jul 11 23:23:43 wasp kernel: visor 2-4:1.0: Handspring Visor / Palm OS converter
detected
Jul 11 23:23:43 wasp kernel: usb 2-4: Handspring Visor / Palm OS converter now
attached to ttyUSB0
Jul 11 23:23:43 wasp kernel: usb 2-4: Handspring Visor / Palm OS converter now
attached to ttyUSB1
Jul 11 23:25:49 wasp kernel: usb 2-4: USB disconnect, address 18
Jul 11 23:25:49 wasp kernel: visor ttyUSB0: Handspring Visor / Palm OS converter
now disconnected from ttyUSB0
Jul 11 23:25:49 wasp kernel: visor ttyUSB1: Handspring Visor / Palm OS converter
now disconnected from ttyUSB1
Jul 11 23:25:49 wasp kernel: visor 2-4:1.0: device disconnected
Jul 11 23:25:50 wasp kernel: usb 2-4: new full speed USB device using ohci_hcd
and address 19
Jul 11 23:25:50 wasp kernel: usb 2-4: configuration #1 chosen from 1 choice
Jul 11 23:25:50 wasp kernel: visor 2-4:1.0: Handspring Visor / Palm OS converter
detected
Jul 11 23:25:50 wasp kernel: usb 2-4: Handspring Visor / Palm OS converter now
attached to ttyUSB0
Jul 11 23:25:50 wasp kernel: usb 2-4: Handspring Visor / Palm OS converter now
attached to ttyUSB1
Comment 6 Joshua Rosen 2007-07-11 23:46:20 EDT
The fix was in the forums. The same problem existed in FC3. Gnome-pilot worked
fine in FC5 and FC6 but now it's broken again. Here is the fix,

create /etc/udev/rules.d/10-visor.rules with this content:

BUS=="usb", SYSFS{product}=="Palm Handheld*", KERNEL=="ttyUSB[13579]",
SYMLINK+="pilot"

Here is the link to the page where this fix was described,

http://www.clasohm.com/blog/one-entry?entry_id=12096
Comment 7 Andrea Dell'Amico 2007-07-25 13:34:17 EDT
The one in comment #5 is bug #246637 and the EToDo one is another.

And yes, it's a "It happens to me too :-)". It's definitely the EToDo channel,
all the other ones work.
Comment 8 Matthew Barnes 2007-10-02 10:56:26 EDT
Is this problem still present in Fedora 8 Test 2 or later?
Comment 9 Matěj Cepl 2007-11-14 10:06:43 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Jeffrey D. Yuille 2007-11-17 12:11:58 EST
(In reply to comment #6)
> The fix was in the forums. The same problem existed in FC3. Gnome-pilot worked
> fine in FC5 and FC6 but now it's broken again. Here is the fix,
> 
> create /etc/udev/rules.d/10-visor.rules with this content:
> 
> BUS=="usb", SYSFS{product}=="Palm Handheld*", KERNEL=="ttyUSB[13579]",
> SYMLINK+="pilot"
> 
> Here is the link to the page where this fix was described,
> 
> http://www.clasohm.com/blog/one-entry?entry_id=12096

Just to let everyone know, this bug still persists in Fedora 8.  However the
solution works just the same.  My only question is, why can't this problems be
fixed with each iteration of Fedora without having to resort to manually fixing
this problem?  I have a Palm Treo 680 and am using Fedora 8.  This problem seems
to have cropped up starting with Fedora 7.  It would be good if the developers
can permanently fix this problem without having to manually fix it in each new
Fedora release. 
Comment 11 Andrea Dell'Amico 2007-12-28 07:51:05 EST
(In reply to comment #9)

I'm not the reporter, but I just upgraded to F8 and I can sync my treo 650 with
the EToDo conduit enabled.

Thanks,
andrea
Comment 12 Matthew Barnes 2008-03-05 21:03:04 EST
Bumping version to Fedora 8 per comment #10.
Comment 13 Wil Cooley 2008-03-08 15:08:53 EST
The problem no longer exists for me, using a fully-updated F8, Treo 650 and
libusb access method. (Have not tried visor module.)
Comment 14 Bug Zapper 2008-11-26 02:19:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Matthew Barnes 2008-11-29 01:15:46 EST
Closing as WORKSFORME per comment #13.

Note You need to log in before you can comment on or make changes to this bug.